<template lang="pug">

.ui-kit.container
  p.ui-line Здесь представлены примеры основных элементов админ панели сайта.
  hr
  .ui-line
  h1.ui-el-heading Создание мероприятия
    span.ui-block-heading h1
  h2.ui-el-heading Создание мероприятия
    span.ui-block-heading h2
  h3.ui-el-heading Создание мероприятия
    span.ui-block-heading h3
  h4.ui-el-heading Создание мероприятия
    span.ui-block-heading h
  h5.ui-el-heading Создание мероприятия
    span.ui-block-heading h5-h6
  p.ui-el-heading Создание мероприятия
    span.ui-block-heading p
  p.menu-label.ui-el-heading Активности
    span.ui-block-heading menu label
  p.menu-item.ui-el-heading Мероприятия
    span.ui-block-heading menu item
  .block-typical
    h3.ui-block-heading buttons
    .ui-line
      el-button.button(type="primary") Создание мероприятия
      el-button.button(type="warning") Согласовать участие
      el-button.button(type="danger") Отменить изменения
    .ui-line
      el-button.button(type="info" disabled) Отмена
      el-button.button(type="info") Отмена
      el-button.button(type="success") Сохранить
      el-button.button(type="success" size="medium") Сохранить
  .block-typical
    h3.ui-block-heading alerts
    .ui-line
      el-alert(title='success alert', type='success')
    .ui-line
      el-alert.ui-line(title='info alert', type='info')
    .ui-line
      el-alert.ui-line(title='warning alert', type='warning')
    .ui-line
      el-alert.ui-line(title='error alert', type='error')
  .block-typical
    h3.ui-block-heading input
    .ui-line
      el-form(v-if="inputs.length")
        el-form-item(v-for="item in inputs" :key="item.id")
          app-input(
          :placeholder="item.placeholder"
          :model="item.model"
          :name="item.name"
          :id="item.id"
          :label="item.label"
          :prompt="item.prompt"
          :required="item.required"
          @input-value="modelValue")

</template>

<script>
import InputItem from '../../components/InputItem';

export default {
  layout: 'admin',
  name: 'UiKit',
  components: {
    'app-input': InputItem
  },
  data() {
    return {
      inputs: [
        {
          id: 1,
          placeholder: 'Ведите сюда что-нибудь',
          model: 'Какая-то запись по дефолту',
          label: 'Тестовый input',
          name: 'text',
          required: true,
          prompt: '<b>Например:</b> укажите почтовый адрес по прописке'
        },
        {
          id: 2,
          placeholder: 'Ваше смелое сообщение',
          model: '',
          label: 'Еще один тестовый input',
          name: 'text2'
        }
      ]
    };
  },
  created() {
    this.$store.commit('pages', []);
    this.$store.commit('publicLink', '');
    this.$store.commit('headingTitle', 'UI Kit');
  },
  methods: {
    modelValue(valueArr) {
      let index = this.inputs.findIndex(item => item.id === valueArr[0]);
      this.inputs[index].model = valueArr[1];
    }
  }
};
</script>
